Bug 443628 - [documentation/virt-mananger] - code refers to documentation section "virt-manager-network", which is non-existent
[documentation/virt-mananger] - code refers to documentation section "virt-ma...
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: virt-manager (Show other bugs)
All Linux
medium Severity medium
: rc
: ---
Assigned To: Cole Robinson
Virtualization Bugs
Depends On: 443604
  Show dependency treegraph
Reported: 2008-04-22 12:02 EDT by ritz
Modified: 2009-12-14 16:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-09-02 05:42:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description ritz 2008-04-22 12:02:23 EDT
+++ This bug was initially created as a clone of Bug #443609 +++

Description of problem:
 virt-manager code refers to virt-manager-network in virt-manager.xml
documentation, but this section is non-existent.

I do see a section got virt-manager-details-network

$ grep virt-manager- /usr/share/gnome/help/virt-manager/C/virt-manager.xml|grep
-i netw
 <sect2 id="virt-manager-details-network"> 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. $ cd /usr/share/virt-manager
2. $ grep virt-manager-network . -R
./virtManager/create.py:            self.emit("action-show-help",
./virtManager/addhardware.py:            self.emit("action-show-help",
Actual results:
virt-manager-network is not avialable 

Expected results:
remove reference to virt-manager-network section, or add the same.

Additional info:
Comment 2 Cole Robinson 2009-06-08 11:10:21 EDT
Built in virt-manager 0.6.1-3.el5. Setting to MODIFIED.
Comment 3 Cole Robinson 2009-06-08 11:15:29 EDT
I should have noted what the 'fix' actually is.

The virt-manager help documentation shipped with the app is massively
out of date, almost to the point of uselessness. While the proper fix
would be to update the docs to reflect reality, it would be a
non-trivial effort that I don't see happening in the short term.

To address the bugs that have accumulated wrt the docs, I've just disabled
access to the docs: all 'help' buttons/menu items have been removed.
Comment 7 Cole Robinson 2009-06-29 15:04:37 EDT
Updated fix being built into virt-manager-0.6.1-5.el5. Setting to MODIFIED.
Comment 11 errata-xmlrpc 2009-09-02 05:42:16 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.